## Set some stuffos
XA=xa -M -v
EXE=vlc242.prg

## Define all targets
all: $(EXE) pack

pack: pack.c
	$(CC) -g -W -Wall -o $@ $<

skrolli.bin: skrolli.txt pack
	./pack $< $@ > tables.asm 2> info

$(EXE): skrolli.asm skrolli.bin
	$(XA) -o $@ $< -l labels

## Special rules
run: $(EXE)
	x64sc $(EXE)

clean:
	$(RM) $(EXE) pack info labels tables.asm skrolli.bin

